---
# ---------------------------------------------------------------------------------------
# Include the default CI steps from the gitlab-ci repo
# ---------------------------------------------------------------------------------------
include:
  - project: '${CI_PROJECT_ROOT_NAMESPACE}/yocto/infrastructure/gitlab-ci'
    ref: e48b4c0b80a4e3fa6c25d4dfbc0f94504845e33b
    file: 'manifest-integration.yml'

variables:
  GITLAB_CI_REVISION: e48b4c0b80a4e3fa6c25d4dfbc0f94504845e33b
  # FIXME: This is only necessary due to the following GitLab limitation:
  # https://gitlab.com/gitlab-org/gitlab/-/issues/209904
  # As soon as this gets fixed upstream, the hard-coded branch name should be removed.
  MASTER_BRANCH: kirkstone
